/// <reference types="react" />
import { TableOperation } from "@kie-tools/boxed-expression-component/dist/api";
import { DecisionResult } from "./DmnTypes";
import { DmnUnitablesJsonSchemaBridge } from "./uniforms/DmnUnitablesJsonSchemaBridge";
import { DmnUnitablesI18n } from "./i18n";
interface Props {
    i18n: DmnUnitablesI18n;
    results?: Array<DecisionResult[] | undefined>;
    rowCount: number;
    jsonSchemaBridge: DmnUnitablesJsonSchemaBridge;
    onRowNumberUpdate: (rowQtt: number, tableOperation: TableOperation, rowIndex: number) => void;
}
export declare function DmnTableResults(props: Props): JSX.Element;
export {};
//# sourceMappingURL=DmnTableResults.d.ts.map